Reservation Detail Run in API Explorer
Ask AI
API to retrieve details the reservations for given criteria.
POST
/v1/reservations/detail
curl \
--request POST 'https://partner.momorooms.com/v1/reservations/detail' \
--header "Authorization: Bearer $ACCESS_TOKEN" \
--header "Content-Type: application/json" \
--data '{"partnerReservationIds":["string"]}'
Request examples
Object-1
{
"partnerReservationIds": [
"string"
]
}
{
"reservationIds": [
42
]
}
{
"checkInStartDate": "2026-05-04",
"checkInEndDate": "2026-05-04"
}
{
"bookingStartDate": "2026-05-04",
"bookingEndDate": "2026-05-04"
}
Response examples (200)
{
"reservations": [
{
"partnerReservationId": "string",
"reservationId": 42,
"bookDate": "2026-05-04T09:42:00Z",
"cancelDate": "2026-05-04",
"bookingAmount": 42.0,
"refundAmount": 42.0,
"currency": "string",
"bookingStatus": "string",
"roomStays": [
{
"id": 42,
"cancelPenalties": [
{
"penaltyStartDate": "string",
"penaltyEndDate": "string",
"penaltyAmount": 42.0,
"currency": "string"
}
]
}
],
"checkInDate": "2026-05-04",
"checkOutDate": "2026-05-04"
}
]
}
Response examples (400)
{
"errors": [
{
"errorCode": 42,
"errorDescription": "string"
}
]
}
Response examples (500)
{
"errors": [
{
"errorCode": 42,
"errorDescription": "string"
}
]
}